%define upstream_name    RDF-NS
%define upstream_version 20160409

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Popular RDF namespace prefixes from prefix.cc as RDF::Trine nodes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildArch:  noarch

%description
Hardcoding URI namespaces and prefixes for RDF applications is neither fun
nor maintainable. In the end we all use more or less the same prefix
definitions, as collected at the http://prefix.cc manpage. This module
includes all these prefixes as defined at specific snapshots in time. These
snapshots correspond to version numbers of this module. By selecting
particular versions, you make sure that changes at prefix.cc won't affect
your scripts.

The command line client the rdfns manpage is installed automatically with
this module:

  $ rdfns -ttl rdf,foaf
  @prefix foaf: <http://xmlns.com/foaf/0.1/> .
  @prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/rdfns
%{_mandir}/man1/rdfns.1*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 20160409.0.0-2.mga6
+ Revision: 1032718
- Rebuild for perl 5.22.2

* Thu Apr 14 2016 shlomif <shlomif> 20160409.0.0-1.mga6
+ Revision: 1001382
- New version

* Fri Feb 19 2016 umeabot <umeabot> 20150725.0.0-2.mga6
+ Revision: 969060
- Mageia 6 Mass Rebuild

* Sat Aug 01 2015 shlomif <shlomif> 20150725.0.0-1.mga6
+ Revision: 860444
- New version 20150725
- imported package perl-RDF-NS


* Sun Dec 23 2012 cpan2dist 20120917-1mga
- initial mageia release, generated with cpan2dist
